Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys
Class AgreementMethod

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.keys.AgreementMethod`

All Implemented Interfaces:
  KeyInfoData

Direct Known Subclasses:
  DHAgreementMethod

public abstract class AgreementMethod
extends XMLElement
implements KeyInfoData

This class represents an XML Encyption AgreementMethod element.

Since:
  1.1
See Also:
  `DHAgreementMethod`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `AgreementMethod(org.w3c.dom.Document doc, java.lang.String algURI)` Create an `AgreementMethod` instance with the given XML Document context and algorithm URI.
`protected` | `AgreementMethod(org.w3c.dom.Element element)` Create a new `AgreementMethod` instance from the given XML element.
`protected` | `AgreementMethod(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `AgreementMethod` instance from the given XML element.

Method Summary
`abstract byte[]` | `generateKeyMaterial(XEEncryptionMethod encMtd, oracle.security.crypto.core.PrivateKey loKey, oracle.security.crypto.core.PublicKey opKey)` Generate keying material for the algorithm specified in the given `XEEncryptionMethod` object.
`java.lang.String` | `getAlgorithm()` Get the algorithm URI for the key agreement algorithm to be used.
`XSAlgorithmIdentifier` | `getDigestMethod()` Return message digest algorithm URI.
`static AgreementMethod` | `getInstance(org.w3c.dom.Document doc, java.lang.String algURI)` Create a new `AgreementMethod` instance from the given XML owner document and algorithm URI.
`static AgreementMethod` | `getInstance(org.w3c.dom.Element element)` Create a new `AgreementMethod` instance from the given XML Element.
`static AgreementMethod` | `getInstance(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `AgreementMethod` instance from the given XML Element.
`byte[]` | `getKANonce()` Return the KA-Nonce value.
`OriginatorKeyInfo` | `getOriginatorKeyInfo()` Return the `OriginatorKeyInfo` object in this structure.
`RecipientKeyInfo` | `getRecipientKeyInfo()` Return the `RecipientKeyInfo` object in this structure.
`abstract void` | `setAlgorithm(java.lang.String algURI)` Set the algorithm URI attribute for this AgreementMethod element.
`void` | `setDigestMethod(java.lang.String digestMethod)` Set the DigestMethod child element for this AgreementMethod element with the given message digest algorithm URI.This method should only be used for RSA-OAEP.
`void` | `setDigestMethod(XSAlgorithmIdentifier digestMethod)` Set the DigestMethod child element for this AgreementMethod element with the given message digest algorithm.This method should only be used for RSA-OAEP.
`void` | `setKANonce(byte[] nonce)` Set the KA-Nonce child element for this AgreementMethod element with the given bytes.
`void` | `setOriginatorKeyInfo(OriginatorKeyInfo oriKeyInfo)` Set the OriginatorKeyInfo child element for this AgreementMethod element.
`void` | `setRecipientKeyInfo(RecipientKeyInfo reciKeyInfo)` Set the RecipientKeyInfo child element for this AgreementMethod element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.keys.KeyInfoData
`getType`

Constructor Detail

### AgreementMethod

    protected AgreementMethod(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Create a new `AgreementMethod` instance from the given XML element.
Parameters:
  `element` - An AgreementMethod element.

### AgreementMethod

    protected AgreementMethod(org.w3c.dom.Element element,
                              java.lang.String systemId)
                       throws org.w3c.dom.DOMException

  Create a new `AgreementMethod` instance from the given XML element.
Parameters:
  `element` - An AgreementMethod element.
  `systemId` - The URI string system ID for the `AgreementMethod`.
Since:
  2.0

### AgreementMethod

    protected AgreementMethod(org.w3c.dom.Document doc,
                              java.lang.String algURI)
                       throws org.w3c.dom.DOMException

  Create an `AgreementMethod` instance with the given XML Document context and algorithm URI.
Parameters:
  `doc` - A XML Document to be used as the owner document of this structure.
  `algURI` - The algorithm URI identifying the key agreement algorithm

Method Detail

### getInstance

    public static AgreementMethod getInstance(org.w3c.dom.Document doc,
                                              java.lang.String algURI)
                                       throws org.w3c.dom.DOMException

  Create a new `AgreementMethod` instance from the given XML owner document and algorithm URI.
  Parameters:
    `doc` - An XML Document to be used as the owner document of this structure.
    `algURI` - The algorithm URI identifying the key agreement algorithm. Standard key agreement algorithm URI constants can be found in `XMLURI`, including:
    - Diffie-Hellman `XMLURI.alg_dh`
  Returns:
    An `AgreementMethod` instance.
  Throws:
    `org.w3c.dom.DOMException`

### getInstance

    public static AgreementMethod getInstance(org.w3c.dom.Element element)
                                       throws org.w3c.dom.DOMException

  Create a new `AgreementMethod` instance from the given XML Element.
  Parameters:
    `element` - An AgreementMethod element.
  Returns:
    An `AgreementMethod` instance.
  Throws:
    `org.w3c.dom.DOMException`

### getInstance

    public static AgreementMethod getInstance(org.w3c.dom.Element element,
                                              java.lang.String systemId)
                                       throws org.w3c.dom.DOMException

  Create a new `AgreementMethod` instance from the given XML Element.
  Parameters:
    `element` - An AgreementMethod element.
    `systemId` - The URI string system ID for the `AgreementMethod`.
  Returns:
    An `AgreementMethod` instance.
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    2.0

### setAlgorithm

    public abstract void setAlgorithm(java.lang.String algURI)

  Set the algorithm URI attribute for this AgreementMethod element.
  Parameters:
    `algURI` - The algorithm URI identifying the key agreement algorithm

### getAlgorithm

    public java.lang.String getAlgorithm()

  Get the algorithm URI for the key agreement algorithm to be used.
  Returns:
    The URI identifying the key agreement algorithm, or `null` if it is missing.

### setKANonce

    public void setKANonce(byte[] nonce)
                    throws org.w3c.dom.DOMException

  Set the KA-Nonce child element for this AgreementMethod element with the given bytes.
  Parameters:
    `nonce` - The key agreement nonce value.
  Throws:
    `org.w3c.dom.DOMException`

### getKANonce

    public byte[] getKANonce()

  Return the KA-Nonce value.
  Returns:
    The value used as key agreement nonce, or `null` if not specified.

### setDigestMethod

    public void setDigestMethod(java.lang.String digestMethod)
                         throws org.w3c.dom.DOMException

  Set the DigestMethod child element for this AgreementMethod element with the given message digest algorithm URI.This method should only be used for RSA-OAEP.
  Parameters:
    `digestMethod` - The algorithm URI for the digest algorithm to be used in key transport with RSA-OAEP.
  Throws:
    `org.w3c.dom.DOMException`

### setDigestMethod

    public void setDigestMethod(XSAlgorithmIdentifier digestMethod)
                         throws org.w3c.dom.DOMException

  Set the DigestMethod child element for this AgreementMethod element with the given message digest algorithm.This method should only be used for RSA-OAEP.
  Parameters:
    `digestMethod` - The `XSAlgorithmIdentifier` for the digest algorithm to be used in key transport with RSA-OAEP.
  Throws:
    `org.w3c.dom.DOMException`

### getDigestMethod

    public XSAlgorithmIdentifier getDigestMethod()

  Return message digest algorithm URI.
  Returns:
    The algorithm URI for the digest algorithm to be used in generating shared keying material.

### setOriginatorKeyInfo

    public void setOriginatorKeyInfo(OriginatorKeyInfo oriKeyInfo)

  Set the OriginatorKeyInfo child element for this AgreementMethod element.
  Parameters:
    `oriKeyInfo` - An `OriginatorKeyInfo` object

### getOriginatorKeyInfo

    public OriginatorKeyInfo getOriginatorKeyInfo()

  Return the `OriginatorKeyInfo` object in this structure.
  Returns:
    A `OriginatorKeyInfo` object.

### setRecipientKeyInfo

    public void setRecipientKeyInfo(RecipientKeyInfo reciKeyInfo)

  Set the RecipientKeyInfo child element for this AgreementMethod element.
  Parameters:
    `reciKeyInfo` - An `RecipientKeyInfo` object

### getRecipientKeyInfo

    public RecipientKeyInfo getRecipientKeyInfo()

  Return the `RecipientKeyInfo` object in this structure.
  Returns:
    A `RecipientKeyInfo` object.

### generateKeyMaterial

    public abstract byte[] generateKeyMaterial(XEEncryptionMethod encMtd,
                                               oracle.security.crypto.core.PrivateKey loKey,
                                               oracle.security.crypto.core.PublicKey opKey)
                                        throws XESchemaException,
                                               XECipherException

  Generate keying material for the algorithm specified in the given `XEEncryptionMethod` object.
  Parameters:
    `encMtd` - An `XEEncryptionMethod` specifys the encryption algorithm the keying material intended for.
    `loKey` - The local party private key.
    `opKey` - The other party public key.
  Throws:
    `XESchemaException`
    `XECipherException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.